{%extends "base.html"%}
{% set active_page = "group_work" %}
{% import "material/utils.html" as util %}
{%block title%}Graph View{%endblock%}
{%block head%}
{{super()}}
<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0">
<link rel="stylesheet" type="text/css" href="static/graph.css">
<script src="https://cdnjs.cloudflare.com/ajax/libs/dialog-polyfill/0.4.10/dialog-polyfill.min.js"></script>
<link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/dialog-polyfill/0.4.10/dialog-polyfill.min.css">

<script language="JavaScript">
	var institution = "{{selected}}";
    var apiURL = "/api.json?institution=" + institution + 
    "&researcher=" + "{{filters['researcher']}}"+
    "&timefrom=" + "{{ filters['timefrom'] }}" +
    "&timeto=" + "{{ filters['timeto'] }}" + 
    "&venuefilter_procee=" + "{{ filters['venuefilter_procee'] }}" + 
    "&venuefilter_jourar=" + "{{ filters['venuefilter_jourar'] }}" + 
    "&venuefilter_books=" + "{{ filters['venuefilter_books'] }}";
    var width = 1024,
      height = 768,
      duration = 750,
      initial_scale = 1,
      radius = 5;
</script>

{%endblock%}
{%block content%}
{{super()}}


<main class="mdl-layout__content mdl-color--grey-100">
    <script src="{{ url_for('static', filename='d3.v4.min.js') }}"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <div class="mdl-grid demo-content mdl-grid--no-spacing mdl-cell--12-col">
        <dialog class="mdl-dialog">
            <h5 class="mdl-dialog__title">Refine by:</h5>
            <div class="mdl-dialog__content">
                <!-- TODO: Dynamically update the researchers list on institution change -->
                <form method="POST" id="apply_filter">                    
                    <ul>
                        <li>Institution:<br>
                            <select name="institution" id="institution" onload="load_research_list()">
                                {%for i in institutions.keys() %}
                                <option value="{{i}}" {{"selected" if selected == i}}> {{institutions[i]}}</option>
                                {% endfor %}
                            </select>
                        </li>
                        <li>Reseacher:<br>
                            <select name="researcher" id="researcher" size="5">
                                {% for researcher in researchers %}
                                <option value="{{researcher}}">{{researcher}}</option>
                                {% endfor %}
                            </select>
                        </li>
                        <li>Period (year): <br>
                            <input name="timefrom" type="number" size="4" value="0"> to <input name="timeto" type="number" size="4" value="0"> </li>
                        <!--
                        <li>Venue:<br>
                            <input type="checkbox" name="venuefilter_books" id="books" value="1">
                            <label for="books">Books</label><br>
                            <input type="checkbox" name="venuefilter_procee" id="inproceedings" value="1">
                            <label for="inproceedings">In proceedings</label><br>
                            <input type="checkbox" name="venuefilter_jourar" id="journalarticles" value="1">
                            <label for="journalarticles">Journal Articles</label><br>
                        </li> -->
                    </ul>
                    <script language="javascript">
                        function load_research_list(){
                            $.ajax({
                                url: "/api/v1/researcher/"+ $('#institution').val()+"/0",
                                dataType: "json",
                                success: function(data) {
                                    var name, select, option;
                                    select = document.getElementById('researcher');
                                    select.options.length = 0;

                                    for (name in data) {
                                        if (data.hasOwnProperty(name)) {
                                            select.options.add(new Option(data[name], name));
                                        }
                                    }
                                }
                            });
                        }

                        $("#institution").on("change", load_research_list);
                        $("#institution").on("load", load_research_list);
                    </script>
                </form>
            </div>
            <div class="mdl-dialog__actions">
                <button type="button" class="mdl-button apply">Apply</button>
                <button type="button" class="mdl-button close">Cancel</button>
            </div>
        </dialog>
        <div class="mdl-layout-spacer mdl-cell--12-col mdl-grid"></div>        
        <div class="mdl-layout-spacer mdl-cell--12-col mdl-grid"></div>
        <div class="charts mdl-color--white mdl-shadow--2dp mdl-cell mdl-cell--12-col mdl-grid">
        
            <button id="show-filter" type="button" class="mdl-button mdl-button--raised">Show filters</button>
            <script>
                var dialog = document.querySelector('dialog');
                var showDialogButton = document.querySelector('#show-filter');
                if(! dialog.showModal){
                    dialogPolyfill.registerDialog(dialog);
                }
                showDialogButton.addEventListener('click', function(){
                    dialog.showModal();
                });
                dialog.querySelector('.close').addEventListener('click', function(){
                    dialog.close();
                });
                dialog.querySelector('.apply').addEventListener('click', function(){
                    dialog.close();
                    
                    document.querySelector('#apply_filter').submit();
                    
                });
            </script> 
            <div class="mdl-cell--12-col mdl-cell--stretch"> 
                         
            {%if graph_visible%}
            <script type="text/javascript" src="{{ url_for('static', filename='graph.js') }}"></script>
                <div id="myGraph"></div>
            {%endif%}
            </div>       
        </div>        
    </div>    
</main> 
<div class="mdl-layout-spacer mdl-cell--12-col mdl-grid"></div>
            <div class="mdl-layout-spacer mdl-cell--12-col mdl-grid"></div>  
</div>
{%endblock%}